# This file created by conda-build 24.1.2
# meta.yaml template originally from:
# /home/conda/recipe_root, last modified Thu Mar 21 08:50:25 2024
# ------------------------------------------------

package:
  name: google-auth
  version: 2.29.0
source:
  sha256: 672dff332d073227550ffc7457868ac4218d6c500b155fe6cc17d2b13602c360
  url: https://pypi.io/packages/source/g/google-auth/google-auth-2.29.0.tar.gz
build:
  noarch: python
  number: '0'
  script: /home/conda/feedstock_root/build_artifacts/google-auth_1711011113292/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold/bin/python
    -m pip install . --no-deps -vv
  string: pyhca7485f_0
requirements:
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - bzip2 1.0.8 hd590300_5
    - ca-certificates 2024.2.2 hbcca054_0
    - ld_impl_linux-64 2.40 h41732ed_0
    - libexpat 2.6.2 h59595ed_0
    - libffi 3.4.2 h7f98852_5
    - libgcc-ng 13.2.0 h807b86a_5
    - libgomp 13.2.0 h807b86a_5
    - libnsl 2.0.1 hd590300_0
    - libsqlite 3.45.2 h2797004_0
    - libuuid 2.38.1 h0b41bf4_0
    - libxcrypt 4.4.36 hd590300_1
    - libzlib 1.2.13 hd590300_5
    - ncurses 6.4.20240210 h59595ed_0
    - openssl 3.2.1 hd590300_1
    - pip 24.0 pyhd8ed1ab_0
    - python 3.12.2 hab00c5b_0_cpython
    - readline 8.2 h8228510_1
    - setuptools 69.2.0 pyhd8ed1ab_0
    - tk 8.6.13 noxft_h4845f30_101
    - tzdata 2024a h0c530f3_0
    - wheel 0.42.0 pyhd8ed1ab_0
    - xz 5.2.6 h166bdaf_0
  run:
    - aiohttp >=3.6.2,<4.0.0
    - cachetools >=2.0.0,<6.0
    - cryptography >=38.0.3
    - pyasn1-modules >=0.2.1
    - pyopenssl >=20.0.0
    - python >=3.7
    - pyu2f >=0.1.5
    - requests >=2.20.0,<3.0.0
    - rsa >=3.1.4,<5
test:
  commands:
    - pip check
  imports:
    - google.auth
  requires:
    - pip
    - python
about:
  description: This library provides the ability to authenticate to Google APIs using
    various methods. It also provides integration with several HTTP libraries.
  dev_url: https://github.com/googleapis/google-auth-library-python
  doc_url: https://google-auth.readthedocs.io/en/latest/
  home: https://github.com/googleapis/google-auth-library-python
  license: Apache-2.0
  license_family: Apache
  license_file: LICENSE
  summary: Google authentication library for Python
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: azure_20240321.1.1
  recipe-maintainers:
    - jan-janssen
    - jreback
    - parthea
    - theacodes
    - tswast
    - xylar
  remote_url: https://github.com/conda-forge/google-auth-feedstock
  sha: ff68a77f4043a2634ab6ca9f65cab107b51ffbe7
